# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pyqt-5.9.2-python_3.5-on-linux_32, last modified Tue Sep 18 21:11:41 2018
# ------------------------------------------------

package:
    name: pyqt
    version: 5.9.2
source:
    sha1: 058c5b37981b515cc4e16faa04a4a6d8892cdaa9
    url: http://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-5.9.2/PyQt5_gpl-5.9.2.tar.gz
build:
    number: '2'
    run_exports: pyqt >=5.9.2,<5.10.0a0
    string: py35h05f1152_2
requirements:
    build:
        - alsa-lib-cos6-i686 1.1.0 hc30c76e_0
        - alsa-lib-devel-cos6-i686 1.1.0 h5d9a986_0
        - atk-cos6-i686 1.30.0 he0f86c6_0
        - atk-devel-cos6-i686 1.30.0 h38aa4f1_0
        - binutils_impl_linux-32 2.31.1 he3168a9_1
        - binutils_linux-32 2.31.1 he3168a9_3
        - cairo-cos6-i686 1.8.8 hb450964_0
        - cairo-devel-cos6-i686 1.8.8 h7a307c4_0
        - fontconfig-cos6-i686 2.8.0 h7f0a86a_0
        - fontconfig-devel-cos6-i686 2.8.0 h3d0b1f7_0
        - freetype-cos6-i686 2.3.11 h85374aa_0
        - freetype-devel-cos6-i686 2.3.11 hc0bb9d0_0
        - gcc_impl_linux-32 7.3.0 he2ea625_1
        - gcc_linux-32 7.3.0 hd2c3c17_3
        - gdk-pixbuf2-cos6-i686 2.24.1 h9b8b162_0
        - gdk-pixbuf2-devel-cos6-i686 2.24.1 h549c032_0
        - glib2-cos6-i686 2.28.8 h6f7d4d3_0
        - glib2-devel-cos6-i686 2.28.8 hcef39f8_0
        - gtk2-cos6-i686 2.24.23 h00b7b85_0
        - gtk2-devel-cos6-i686 2.24.23 hc84c710_0
        - gtkmm24-cos6-i686 2.18.2 h9a7ab42_0
        - gtkmm24-devel-cos6-i686 2.18.2 h77c3654_0
        - gxx_impl_linux-32 7.3.0 h9268252_1
        - gxx_linux-32 7.3.0 hd2c3c17_3
        - libdrm-cos6-i686 2.4.65 h7ae8b2a_0
        - libdrm-devel-cos6-i686 2.4.65 h4d78ed0_0
        - libgcc-ng 8.2.0 h9268252_1
        - libselinux-cos6-i686 2.0.94 h4d9577c_0
        - libselinux-devel-cos6-i686 2.0.94 hd34d2ed_0
        - libsepol-cos6-i686 2.0.41 h97d3858_0
        - libsepol-devel-cos6-i686 2.0.41 h05f28b5_0
        - libstdcxx-ng 8.2.0 h9268252_1
        - libthai-cos6-i686 0.1.12 he4dd3fe_0
        - libx11-common-cos6-i686 1.6.4 h4fe2c13_0
        - libx11-cos6-i686 1.6.4 h1d3f9ae_0
        - libx11-devel-cos6-i686 1.6.4 hfa5a665_0
        - libxau-cos6-i686 1.0.6 hc38bd3c_0
        - libxau-devel-cos6-i686 1.0.6 hf48d1d1_0
        - libxcb-cos6-i686 1.12 he0412ea_0
        - libxcomposite-cos6-i686 0.4.3 hb7d40df_0
        - libxcomposite-devel-cos6-i686 0.4.3 h31b1c3c_0
        - libxcursor-cos6-i686 1.1.14 hed6ac1a_0
        - libxcursor-devel-cos6-i686 1.1.14 he278a58_0
        - libxdamage-cos6-i686 1.1.3 h9f4f6c9_0
        - libxext-cos6-i686 1.3.3 h20c84a7_0
        - libxext-devel-cos6-i686 1.3.3 h77efb3c_0
        - libxfixes-cos6-i686 5.0.3 he19ebb9_0
        - libxi-cos6-i686 1.7.8 h579e212_0
        - libxi-devel-cos6-i686 1.7.8 hdd8218a_0
        - libxrandr-cos6-i686 1.5.1 h95c9a06_0
        - libxrandr-devel-cos6-i686 1.5.1 hede7057_0
        - libxrender-cos6-i686 0.9.10 hb9278cd_0
        - libxrender-devel-cos6-i686 0.9.10 h642fc16_0
        - libxscrnsaver-cos6-i686 1.2.2 hec317f5_0
        - libxscrnsaver-devel-cos6-i686 1.2.2 h7f5c4e6_0
        - libxtst-cos6-i686 1.2.3 h55eee2f_0
        - libxtst-devel-cos6-i686 1.2.3 ha2b6ed8_0
        - libxxf86vm-cos6-i686 1.1.3 hc7b190e_0
        - mesa-dri-drivers-cos6-i686 11.0.7 h3e81fb6_0
        - mesa-dri1-drivers-cos6-i686 7.11 h9a92f47_0
        - mesa-libegl-cos6-i686 11.0.7 h2bd1e70_0
        - mesa-libegl-devel-cos6-i686 11.0.7 h3384dae_0
        - mesa-libgbm-cos6-i686 11.0.7 0
        - mesa-libgl-cos6-i686 11.0.7 h8f8d5c3_0
        - mesa-libgl-devel-cos6-i686 11.0.7 hec01f26_0
        - pango-cos6-i686 1.28.1 h4031259_0
        - pango-devel-cos6-i686 1.28.1 h236a68b_0
        - pciutils-devel-cos6-i686 3.1.10 h33bf0f0_0
        - pciutils-libs-cos6-i686 3.1.10 h4c40b1e_0
        - pixman-cos6-i686 0.32.8 h37b48cf_0
        - pixman-devel-cos6-i686 0.32.8 h461a7d5_0
        - pkg-config 0.29.2 h1bed415_8
        - pkgconfig-cos6-i686 0.23 h863d197_0
        - xorg-x11-proto-devel-cos6-i686 7.7 h22e4318_0
    host:
        - ca-certificates 2018.03.07 0
        - dbus 1.13.2 h714fa37_1
        - expat 2.2.6 he6710b0_0
        - fontconfig 2.13.0 h9420a91_0
        - freetype 2.9.1 h8a8886c_0
        - glib 2.56.2 hd408876_0
        - gst-plugins-base 1.14.0 hbbd80ab_1
        - gstreamer 1.14.0 hb453b48_1
        - icu 58.2 he175447_1
        - jpeg 9b h29c5dd3_2
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 8.2.0 h9268252_1
        - libpng 1.6.34 hb9fc6fc_0
        - libstdcxx-ng 8.2.0 h9268252_1
        - libuuid 1.0.3 h1bed415_2
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.8 h26e45fe_1
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2p h14c3975_0
        - pcre 8.42 h439df22_0
        - python 3.5.6 hc3d631a_0
        - qt 5.9.6 h8703b6f_2
        - readline 7.0 h7b6447c_5
        - sip 4.19.8 py35hf484d3e_0
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.8 hbc83047_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - dbus >=1.13.2,<2.0a0
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - python >=3.5,<3.6.0a0
        - qt 5.9.*
        - qt >=5.9.6,<5.10.0a0
        - sip >=4.19.4,<=4.19.8
test:
    commands:
        - DISPLAY=localhost:1.0 xvfb-run -a bash -c 'python pyqt_test.py'
    files:
        - pyqt_test.py
    imports:
        - PyQt5.QtCore
        - PyQt5.QtGui
        - PyQt5.QtWebEngineWidgets
about:
    description: '"PyQt is a set of Python v2 and v3 bindings for The Qt Company''s
        Qt

        application framework and runs on all platforms supported by Qt including

        Windows, MacOS/X and Linux. PyQt5 supports Qt v5. PyQt4 supports Qt v4 and

        will build against Qt v5. The bindings are implemented as a set of Python

        modules and contain over 1,000 classes."

        '
    dev_url: https://github.com/pyqt
    doc_url: https://www.riverbankcomputing.com/software/pyqt/
    home: http://www.riverbankcomputing.co.uk/software/pyqt
    license: Commercial, GPL-2.0, GPL-3.0
    license_family: GPL
    license_file: LICENSE
    summary: Python binding of the cross-platform GUI toolkit Qt.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ccordoba12
        - gillins
        - mingwandroid
        - msarahan
        - ocefpaf
